For the complete documentation index, see llms.txt. This page is also available as Markdown.

Listing exchange currency pairs

GET /api/public/v1/exchange/currency_pairs

This endpoint returns a list of currency pairs available for exchange.

Headers

Name
Value

Content-Type

application/vnd.api+json

Authorization

Bearer <api_key>

Response Body

Name
Type
Description

data[].id

string

Currency pair ID.

data[].type

string

Entity type returned. Always currencyPairs.

data[].attributes

object

Set of currency pair attributes.

data[].attributes.direction

string

Quote direction. Either buy or sell.

data[].attributes.enabled

boolean

If true, the currency pair is available for exchange.

data[].attributes.minAmount

string

Minimum exchange amount, quoted in minAmountCurrency.

data[].attributes.minAmountCurrency

string

Currency in which minAmount is quoted.

data[].attributes.maxAmount

string

Maximum exchange amount, quoted in maxAmountCurrency.

data[].attributes.maxAmountCurrency

string

Currency in which maxAmount is quoted.

data[].relationships.baseCurrency.id

string

Base currency of the pair. Refer to supported currencies.

data[].relationships.quoteCurrency.id

string

Quote currency of the pair.

included[].type(currencies).attributes

object

Currency details, including code, symbol, crypto, and subunitToUnit.

included[].type(network).attributes

object

Network details, including code, name, and currencyCode.

Response

Last updated